diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 7bca3a7..60d58b4 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -336,13 +336,14 @@ of effort. We would like to acknowledge and thank the following people:
 "An alphabetical listing of contributors to AXIOM:"
 "Cyril Alberga          Roy Adler              Christian Aistleitner"
 "Richard Anderson       George Andrews         S.J. Atkins"
-"Henry Baker            Stephen Balzac         Yurij Baransky"
-"David R. Barton        Gerald Baumgartner     Gilbert Baumslag"
-"Michael Becker         Nelson H. F. Beebe     Jay Belanger"
-"David Bindel           Fred Blair             Vladimir Bondarenko"
-"Mark Botch             Alexandre Bouyer       Peter A. Broadbery"
-"Martin Brock           Manuel Bronstein       Stephen Buchwald"
-"Florian Bundschuh      Luanne Burns           William Burge"
+"Henry Baker            Martin Baker           Stephen Balzac"
+"Yurij Baransky         David R. Barton        Gerald Baumgartner"
+"Gilbert Baumslag       Michael Becker         Nelson H. F. Beebe"
+"Jay Belanger           David Bindel           Fred Blair"
+"Vladimir Bondarenko    Mark Botch             Alexandre Bouyer"
+"Peter A. Broadbery     Martin Brock           Manuel Bronstein"
+"Stephen Buchwald       Florian Bundschuh      Luanne Burns"
+"William Burge"
 "Quentin Carpent        Robert Caviness        Bruce Char"
 "Ondrej Certik          Cheekai Chin           David V. Chudnovsky"
 "Gregory V. Chudnovsky  Josh Cohen             Christophe Conil"
diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index c9a6970..310a00b 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -659,6 +659,7 @@ Stored in [[graphStateArray[i].showing]].
 Stored in [[graphStateArray[i].selected]].
 \end{list}
 \end{list}
+
 \begin{verbatim}
 3                                          (A)
 x*x                                        (B)
@@ -942,6 +943,91 @@ x*x
 0.479167 0.418403 0 2
 0.5 0.5 0 2
 @
+\section{3D graph information}
+For the 3D graph information we have
+a table view of this information:
+
+\begin{tabular}{l|l|l|l|l|l|l|l|l}
+1 & typeOf3D &  &  &  &  &  &  &  \\
+\hline
+2 & xmin & xmax & ymin & ymax & zmin & zmax &  &  \\
+\hline
+3 & title &  &  &  &  &  &  &  \\
+\hline
+4 & deltaX  & deltaY  & scale & scaleX & scaleY & scaleZ & theta & phi \\
+\hline
+5 & window     & window & window & window &  &  &  &  \\
+  & x          & y     & width  & height &         &       &         &  \\
+\hline
+6 & haveontrol & style & axesOn & hue    & number  & diag- & outline &  \\
+  &            &       &        & Offset & of Hues & onals & render  &  \\
+  &            &       &        &        &         &       & on      &  \\
+\hline
+7 & light  & light  & light  & trans- &  &  &  &  \\
+  & Vec[0] & Vec[1] & Vec[2] & lucent &  &  &  &  \\
+\hline
+8 & persepective & eyeDistance &  &  &  &  &  &  \\
+\hline
+9 & numOfPoints &  &  &  &  &  &  &  \\
+\hline
+10- & aPt$->$x & aPt$->$y & aPt$->$z & aPt$->$c &  &  &  &  \\
+\hline
+10+ & number of &  &  &  &  &  &  &  \\
+  & Components  &  &  &  &  &  &  &  \\
+\hline
+  & prop closed & prop solid &  &  &  &  &  &  \\
+\hline
+  & numOfLists &  &  &  &  &  &  &  \\
+\hline
+  & prop closed & prop solid  &  &  &  &  &  &  \\
+\hline
+  & numOfPoints &  &  &  &  &  &  &  \\
+\hline
+  & anIndex &  &  &  &  &  &  &  \\
+\hline
+\end{tabular}
+
+A data file, with uninteresting lines snipped is:
+\begin{verbatim}
+1
+-1 1 -1 1 -0.998628 0.998628
+-1*y^2+x^2
+0 0 1.2 1 1 1 0.785398 -0.785398
+0 0 400 400
+0 9 1 0 27 0 0
+-0.5 0.5 0.5 1
+1 500
+784
+-1 -1 0 0.5
+-0.925926 -1 -0.142661 0.428571
+-0.851852 -1 -0.274348 0.362637
+..<snip>..
+0.851852 1 -0.274348 0.362637
+0.925926 1 -0.142661 0.428571
+1 1 0 0.5
+1
+0 0
+28
+0 0
+28
+0
+1
+...<snip>...
+26
+27
+0 0
+28
+28
+..<snip>..
+54
+55
+0 0
+28
+56
+..<snip>..
+782
+783
+\end{verbatim}
 \chapter{include}
 \label{include}
 \section{actions.h}
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index b49f380..85ede90 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -626,6 +626,9 @@ Vol. 115, No. 2-3, December 11, 1998, pages 510-535.
 \bibitem[Alt05]{Alt05}
 Altmann, Simon L. Rotations, Quaternions, and Double Groups
 Dover Publications, Inc. 2005 ISBN 0-486-44518-6
+\bibitem[Ba10]{Ba10}
+Baker, Martin ``3D World Simulation''
+\verb|www.euclideanspace.com|
 \bibitem[Ber95]{Ber95}
 Laurent Bertrand. Computing a hyperelliptic integral using
 arithmetic in the jacobian of the curve. {\sl Applicable Algebra in
diff --git a/changelog b/changelog
index cf3b82d..8c13d02 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,10 @@
+20100605 tpd src/axiom-website/patches.html 20100605.01.myb.patch
+20100605 myb books/bookvol8 add 3D graphic file format table
+20100605 tpd books/bookvolbib cite Martin Baker website
+20100605 tpd src/input/unittest1.input add Martin Baker to credits
+20100605 tpd books/bookvol5 add Martin Baker to credits
+20100605 tpd readme add Martin Baker to credits
+20100605 myb Martin Baker <gg87346@martinb.com>
 20100604 tpd src/axiom-website/patches.html 20100604.08.tpd.patch
 20100604 tpd src/algebra/Makefile help and test for GnuDraw
 20100604 tpd books/bookvol5 expose GnuDraw package
diff --git a/readme b/readme
index 9c524b4..ae416d5 100644
--- a/readme
+++ b/readme
@@ -190,13 +190,14 @@ at the axiom command prompt will prettyprint the list.
 "An alphabetical listing of contributors to AXIOM:"
 "Cyril Alberga          Roy Adler              Christian Aistleitner"
 "Richard Anderson       George Andrews         S.J. Atkins"
-"Henry Baker            Stephen Balzac         Yurij Baransky"
-"David R. Barton        Gerald Baumgartner     Gilbert Baumslag"
-"Michael Becker         Nelson H. F. Beebe     Jay Belanger"
-"David Bindel           Fred Blair             Vladimir Bondarenko"
-"Mark Botch             Alexandre Bouyer       Peter A. Broadbery"
-"Martin Brock           Manuel Bronstein       Stephen Buchwald"
-"Florian Bundschuh      Luanne Burns           William Burge"
+"Henry Baker            Martin Baker           Stephen Balzac"
+"Yurij Baransky         David R. Barton        Gerald Baumgartner"
+"Gilbert Baumslag       Michael Becker         Nelson H. F. Beebe"
+"Jay Belanger           David Bindel           Fred Blair"
+"Vladimir Bondarenko    Mark Botch             Alexandre Bouyer"
+"Peter A. Broadbery     Martin Brock           Manuel Bronstein"
+"Stephen Buchwald       Florian Bundschuh      Luanne Burns"
+"William Burge"
 "Quentin Carpent        Robert Caviness        Bruce Char"
 "Ondrej Certik          Cheekai Chin           David V. Chudnovsky"
 "Gregory V. Chudnovsky  Josh Cohen             Christophe Conil"
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a6697bc..b0223b3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2850,5 +2850,7 @@ src/input/richalgebraic100-199.input rule-based algebraic integration<br/>
 books/bookvol10.5 use simple-array, not simple-vector type<br/>
 <a href="patches/20100604.08.tpd.patch">20100605.08.tpd.patch</a>
 books/bookvol10.4 add GnuDraw package<br/>
+<a href="patches/20100605.01.myb.patch">20100605.01.myb.patch</a>
+books/bookvol8 add 3D graphic file format table<br/>
  </body>
 </html>
diff --git a/src/input/unittest1.input.pamphlet b/src/input/unittest1.input.pamphlet
index a19d265..771c058 100644
--- a/src/input/unittest1.input.pamphlet
+++ b/src/input/unittest1.input.pamphlet
@@ -270,13 +270,14 @@ Unit test the user level commands
 --RAn alphabetical listing of contributors to AXIOM:
 --RCyril Alberga          Roy Adler              Christian Aistleitner
 --RRichard Anderson       George Andrews         S.J. Atkins
---RHenry Baker            Stephen Balzac         Yurij Baransky
---RDavid R. Barton        Gerald Baumgartner     Gilbert Baumslag
---RMichael Becker         Nelson H. F. Beebe     Jay Belanger
---RDavid Bindel           Fred Blair             Vladimir Bondarenko
---RMark Botch             Alexandre Bouyer       Peter A. Broadbery
---RMartin Brock           Manuel Bronstein       Stephen Buchwald
---RFlorian Bundschuh      Luanne Burns           William Burge
+--RHenry Baker            Martin Baker           Stephen Balzac
+--RYurij Baransky         David R. Barton        Gerald Baumgartner
+--RGilbert Baumslag       Michael Becker         Nelson H. F. Beebe
+--RJay Belanger           David Bindel           Fred Blair
+--RVladimir Bondarenko    Mark Botch             Alexandre Bouyer
+--RPeter A. Broadbery     Martin Brock           Manuel Bronstein
+--RStephen Buchwald       Florian Bundschuh      Luanne Burns
+--RWilliam Burge
 --RQuentin Carpent        Robert Caviness        Bruce Char
 --ROndrej Certik          Cheekai Chin           David V. Chudnovsky
 --RGregory V. Chudnovsky  Josh Cohen             Christophe Conil
